> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.alphax.asia/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.alphax.asia/_mcp/server.

# Submit a KYB profile

POST https://public-api.alphax.com/v1/kyb-profiles
Content-Type: application/json

Submits Know-Your-Business details for the acting company. The result is
asynchronous — listen for the `company.kyb_status_changed` webhook.


Reference: https://docs.alphax.asia/api-reference/card-api/kyb/submit-kyb-profile

## Authentication

- `X-API-Key` header (required) — Your partner API key.

## Servers

- `https://public-api.alphax.com` (Production server, default)
- `https://public-api.demo.alphax.asia` (Staging (sandbox) server)

## Request

### Headers

- `X-Company-Id` (string, required) — The company you are acting for (a company ULID).

### Body (application/json)

- `companyName` (string, required)
- `industry` (string, required) — A NAICS industry code (not free text).
- `registrationCountry` (string, required)
- `registrationNumber` (string, required)
- `uboFirstName` (string, required)
- `uboLastName` (string, required)
- `uboGender` (enum, required)
  - Allowed values: `MALE`, `FEMALE`
- `uboCountryCode` (string, required)
- `uboIdType` (enum, required)
  - Allowed values: `PASSPORT`, `DRIVERS_LICENSE`, `HONG_KONG_ID`, `CHINA_RESIDENT_ID`, `GOVERNMENT_ISSUED_ID`
- `uboIdNumber` (string, required)
- `uboDob` (date, required)
- `website` (string, optional)

## Response

### 201

KYB profile submitted

- `status` (string, optional)

## Examples

**Request**

```json
{
  "companyName": "Acme Ltd",
  "industry": "541511",
  "registrationCountry": "HK",
  "registrationNumber": "12345678",
  "uboFirstName": "Jane",
  "uboLastName": "Owner",
  "uboGender": "FEMALE",
  "uboCountryCode": "HK",
  "uboIdType": "PASSPORT",
  "uboIdNumber": "P1234567",
  "uboDob": "1990-01-15"
}
```

**Response**

```json
{
  "status": "SUBMITTED"
}
```

**SDK Code**

```python
import requests

url = "https://public-api.alphax.com/v1/kyb-profiles"

payload = {
    "companyName": "Acme Ltd",
    "industry": "541511",
    "registrationCountry": "HK",
    "registrationNumber": "12345678",
    "uboFirstName": "Jane",
    "uboLastName": "Owner",
    "uboGender": "FEMALE",
    "uboCountryCode": "HK",
    "uboIdType": "PASSPORT",
    "uboIdNumber": "P1234567",
    "uboDob": "1990-01-15"
}
headers = {
    "X-Company-Id": "01KZ2WJKWVFPCVAB6MY106QRZV",
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://public-api.alphax.com/v1/kyb-profiles';
const options = {
  method: 'POST',
  headers: {
    'X-Company-Id': '01KZ2WJKWVFPCVAB6MY106QRZV',
    'X-API-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"companyName":"Acme Ltd","industry":"541511","registrationCountry":"HK","registrationNumber":"12345678","uboFirstName":"Jane","uboLastName":"Owner","uboGender":"FEMALE","uboCountryCode":"HK","uboIdType":"PASSPORT","uboIdNumber":"P1234567","uboDob":"1990-01-15"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://public-api.alphax.com/v1/kyb-profiles"

	payload := strings.NewReader("{\n  \"companyName\": \"Acme Ltd\",\n  \"industry\": \"541511\",\n  \"registrationCountry\": \"HK\",\n  \"registrationNumber\": \"12345678\",\n  \"uboFirstName\": \"Jane\",\n  \"uboLastName\": \"Owner\",\n  \"uboGender\": \"FEMALE\",\n  \"uboCountryCode\": \"HK\",\n  \"uboIdType\": \"PASSPORT\",\n  \"uboIdNumber\": \"P1234567\",\n  \"uboDob\": \"1990-01-15\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV")
	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://public-api.alphax.com/v1/kyb-profiles")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Company-Id"] = '01KZ2WJKWVFPCVAB6MY106QRZV'
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"companyName\": \"Acme Ltd\",\n  \"industry\": \"541511\",\n  \"registrationCountry\": \"HK\",\n  \"registrationNumber\": \"12345678\",\n  \"uboFirstName\": \"Jane\",\n  \"uboLastName\": \"Owner\",\n  \"uboGender\": \"FEMALE\",\n  \"uboCountryCode\": \"HK\",\n  \"uboIdType\": \"PASSPORT\",\n  \"uboIdNumber\": \"P1234567\",\n  \"uboDob\": \"1990-01-15\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://public-api.alphax.com/v1/kyb-profiles")
  .header("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"companyName\": \"Acme Ltd\",\n  \"industry\": \"541511\",\n  \"registrationCountry\": \"HK\",\n  \"registrationNumber\": \"12345678\",\n  \"uboFirstName\": \"Jane\",\n  \"uboLastName\": \"Owner\",\n  \"uboGender\": \"FEMALE\",\n  \"uboCountryCode\": \"HK\",\n  \"uboIdType\": \"PASSPORT\",\n  \"uboIdNumber\": \"P1234567\",\n  \"uboDob\": \"1990-01-15\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://public-api.alphax.com/v1/kyb-profiles', [
  'body' => '{
  "companyName": "Acme Ltd",
  "industry": "541511",
  "registrationCountry": "HK",
  "registrationNumber": "12345678",
  "uboFirstName": "Jane",
  "uboLastName": "Owner",
  "uboGender": "FEMALE",
  "uboCountryCode": "HK",
  "uboIdType": "PASSPORT",
  "uboIdNumber": "P1234567",
  "uboDob": "1990-01-15"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
    'X-Company-Id' => '01KZ2WJKWVFPCVAB6MY106QRZV',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://public-api.alphax.com/v1/kyb-profiles");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Company-Id", "01KZ2WJKWVFPCVAB6MY106QRZV");
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"companyName\": \"Acme Ltd\",\n  \"industry\": \"541511\",\n  \"registrationCountry\": \"HK\",\n  \"registrationNumber\": \"12345678\",\n  \"uboFirstName\": \"Jane\",\n  \"uboLastName\": \"Owner\",\n  \"uboGender\": \"FEMALE\",\n  \"uboCountryCode\": \"HK\",\n  \"uboIdType\": \"PASSPORT\",\n  \"uboIdNumber\": \"P1234567\",\n  \"uboDob\": \"1990-01-15\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Company-Id": "01KZ2WJKWVFPCVAB6MY106QRZV",
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "companyName": "Acme Ltd",
  "industry": "541511",
  "registrationCountry": "HK",
  "registrationNumber": "12345678",
  "uboFirstName": "Jane",
  "uboLastName": "Owner",
  "uboGender": "FEMALE",
  "uboCountryCode": "HK",
  "uboIdType": "PASSPORT",
  "uboIdNumber": "P1234567",
  "uboDob": "1990-01-15"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://public-api.alphax.com/v1/kyb-profiles")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```